hdirs= ../Lsystem ../GL_Lsystem ../wxGLCanvases ../Extras ../thinair ../App

.PHONY : clean all

all          : GLGraphics.o GL_Lsystem.o trackball.o Lstring Lturtle

GLGraphics.o : GLGraphics.cpp  GLGraphics.h ../Extras/vect3.h ../Lsystem/UIBaseClass.h
	g++ -c GLGraphics.cpp ${CFLAGS} $(addprefix -I,$(hdirs))

GL_Lsystem.o : GL_Lsystem.cpp GL_Lsystem.h ../Lsystem/Ltypes.h \
../Extras/vect3.h GLGraphics.h ../Lsystem/Lstring.h ../Lsystem/Lturtle.h
	g++ -c GL_Lsystem.cpp ${CFLAGS} $(addprefix -I,$(hdirs))

trackball.o  : trackball.c trackball.h
	gcc -c trackball.c ${CFLAGS} 

Lstring      :
	$(MAKE) Lstring.o -C ../Lsystem 

Lturtle      :
	$(MAKE) Lturtle.o -C ../Lsystem
clean :
	rm GLGraphics.o GL_Lsystem.o trackball.o

 
